;****************************************************************************
;	ADC		t45
;
;	9_2_2018	17:10
; 
; ADC 3 pin input
;
;****************************************************************************
;
;
;
.dseg
;
Adc1_byte:	.byte	1	;   1  (PORTB.2)
Adc2_byte:	.byte	1	;   2  (PORTB.4)
Adc3_byte:	.byte	1	;   3  (PORTB.3)
;
;
.cseg
;
;****************************************************************************
;
;
RD_ADC:
;
	LDS	temp,(Count_Start_ADC)
	inc	temp
	STS	(Count_Start_ADC),temp
	CPI	temp,5			; 3 10
	BRLO	Not_adc
;-
	LDI	temp,0
	STS	(Count_Start_ADC),temp
;===========================================
; Start ADC
;
	lds	temp,(Count_ADC_Pin)
	inc	temp
	andi	temp,0B0000.0011
	brne	_Count_ADC_up
	ldi	temp,1
;
_Count_ADC_up:
;
	sts	(Count_ADC_Pin),temp
;
	CPI	temp,1
	breq	_adc_1
;
	CPI	temp,2
	breq	_adc_2
;
	CPI	temp,3
	breq	_adc_3
;
Not_adc:
;
	RET
;
;--------------------------
;
;  ADC IN1
;
_adc_1:
;
	in	temp_1,Led_PORT
	in	temp_11,Led_DDRB
;-
	cbi	Lines_DDRB,Line1_in
	cbi	Lines_DDRB,Line2_in
	cbi	Lines_DDRB,Line3_in
;-
	SBI	DDRB,5
	SBI	PORTB,5	
;-------
	SBI	DIDR0,ADC1D
;
	sbi	ADMUX,MUX0		; PB2 input ADC1
	cbi	ADMUX,MUX1		; PB2 input ADC1
	cbi	ADMUX,MUX2		; PB2 input ADC1
	cbi	ADMUX,MUX3		; PB2 input ADC1
;-------
	RCALL	_RD_IN
	STS	(LN_NC_NO),temp		; (hFF) =   .
;-
	CBI	PORTB,5
	RCALL	_RD_IN
	RCALL	Compare_ADC_Code
	STS	(Adc1_byte),temp	;   ADC1.
;-------
	CBI	DIDR0,ADC1D
;
	OUT	Led_PORT,temp_1
	OUT	Led_DDRB,temp_11
;---
	RET
;
;----------------------------
;  ADC IN2
;
_adc_2:
;
	in	temp_1,Led_PORT
	in	temp_11,Led_DDRB
;-
	cbi	Lines_DDRB,Line1_in
	cbi	Lines_DDRB,Line2_in
	cbi	Lines_DDRB,Line3_in
;-
	SBI	DDRB,5	
	SBI	PORTB,5
;-------
	SBI	DIDR0,ADC2D
;
	cbi	ADMUX,MUX0		; PB4 input ADC2
	sbi	ADMUX,MUX1		; PB4 input ADC2
	cbi	ADMUX,MUX2		; PB4 input ADC2
	cbi	ADMUX,MUX3		; PB4 input ADC2
;-------
	RCALL	_RD_IN
	STS	(LN_NC_NO),temp		; (hFF) =   .
;-
	CBI	PORTB,5
	RCALL	_RD_IN
	RCALL	Compare_ADC_Code
	STS	(Adc2_byte),temp	;   ADC2.	
;-------
	CBI	DIDR0,ADC2D
;
	OUT	Led_PORT,temp_1
	OUT	Led_DDRB,temp_11
;---
	RET
;
;--------------------------
;  ADC IN3
;
_adc_3:
;
	in	temp_1,Led_PORT
	in	temp_11,Led_DDRB
;-
	cbi	Lines_DDRB,Line1_in
	cbi	Lines_DDRB,Line2_in
	cbi	Lines_DDRB,Line3_in
;-
 	SBI	DDRB,5	
	SBI	PORTB,5
;-------
	SBI	DIDR0,ADC3D
;
	sbi	ADMUX,MUX0		; PB3 input ADC3
	sbi	ADMUX,MUX1		; PB3 input ADC3
	cbi	ADMUX,MUX2		; PB3 input ADC3
	cbi	ADMUX,MUX3		; PB3 input ADC3
;-------
	RCALL	_RD_IN
	STS	(LN_NC_NO),temp		; (hFF) =   .
;
	CBI	PORTB,5
	RCALL	_RD_IN
	RCALL	Compare_ADC_Code
	STS	(Adc3_byte),temp	;   ADC3.
;-------
	CBI	DIDR0,ADC3D
;
	OUT	Led_PORT,temp_1
	OUT	Led_DDRB,temp_11
;--
	RET
;
;--------------------------------------------------------------------------------
;
;   ADC  IN1, IN2, IN3.
;   6_1_2018		12:00
;--------------------------------------------------------------------------------
;
_RD_IN:	
;
;	rcall	delay100	;    !
	rcall	delay100 	;    !
;
	sbi	ADCSRA,ADEN	;  ADC
;
	sbi	ADCSRA,ADSC	;  
;
	cbi	ADCSRA,ADIF	;   
;
	rcall	delay100 	;    !
	rcall	delay100 	;    !
;
_flag_ADIF:
;
	SBIS	ADCSRA,ADIF
	rjmp	_flag_ADIF
;
	cbi	ADCSRA,ADSC	; stop 
;
	in	temp,ADCH	;    ADC.
;
	cbi	ADCSRA,ADEN	;  ADC
;
	ret
;
;
;**************************************************************************
;