;*************EEPROM************************************************
;
; MODE	7_2_2018	20:25	T45
;
;   EEPROM . ATtiny45
;
; EEprom_write		-  EEPROM, ZL-adr, temp_1-data
; EEprom_read		-  EEPROM, ZL-adr, temp_1-data
; EE_wr_4bytes		-   EEPROM 4   RAM,    (num_string)
; EE_erase_all		-   EEPROM 80 
; EE_wr_master_4bytes
;
; EE_compare_ir_paket	-      DS 
;
;***********************************************************************
;
;
;
;.cseg
;
;*****************************************************
;
EEprom_write:
	sbic 	EECR,EEPE
	rjmp 	EEprom_write
;
	out 	EEARL, ZL
;
	out 	EEDR, temp_1
;
	sbi 	EECR,EEMPE
; Start eeprom write by setting EEPE
	sbi 	EECR,EEPE
;
	ret
;
;***************
;
EEprom_read:
	sbic 	EECR,EEPE
	rjmp 	EEprom_read
;
	out	EEARL, ZL
;
	sbi 	EECR,EERE
;
; Read data from Data Register
;
	in 	temp_1,EEDR
;
	ret
;
;*****************************************************
; MODE 29_01_2019	18:55
;
;   EEPROM 8  
;
;
EE_wr_8bytes:
;
;  temp_1  8  
;
	ldi	ZL,num_string
	rcall	EEprom_read
;
	ldi	ZL,ee_adres_DS_code
;--
;
EE_wr_master_8bytes:
;
	tst	temp_1
	breq	wr_cnt_z8b
;
wr_find_cnt_8b:
;
	ADIW	ZL,8
	dec	temp_1
	brne	wr_find_cnt_8b
;
wr_cnt_z8b:
;
	lds	temp_1,(DSRD+7)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+6)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+5)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+4)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+3)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+2)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+1)
	rcall	EEprom_write
	inc	ZL
;
	lds	temp_1,(DSRD+0)
	rcall	EEprom_write
;
	ret
;
;**********************************************************
;   
;   EEPROM 80   key(8x10)
;     5
;----------------
EE_Store_Default:
;
;----------------------------------------
	LDI	ZL,ee_adres_DS_code
;
	LDI	temp_2,80		; 10   8 
	LDI	temp_1,0x00
;
e_er_rf_c1:
;----------------------------------------
;     
;----------------------------------------
	LDI	temp,0b0101.1010	; 0101.1110 - 1 cek 	; 0,5 cek 0101.1101    
	OUT 	WDTCR,temp		; 0101.1011 - 0,125 cek ; 0101.1010 - 64ms 
;----------------------------------------
	RCALL	EEprom_write
	INC	ZL
;
	DEC	temp_2
;
	BRNE	e_er_rf_c1
;---------------------------------------
;    
;
	LDI	temp_1,0x00
	LDI	ZL,num_string
	RCALL	EEprom_write
;---------------------------------------
;    - 5.
;
	LDI	temp_1,5
	LDI	ZL,Rele_time		;   
	RCALL	EEprom_write	
;---------------------------------------
; NEW 7_2_2019	20:25
;---------------------------------------
;     
; (/) LINE1 - 15.
;
	LDI	temp_1,15
	LDI	ZL,EE_Wait_Line1	; ADR10- EEPROM    /  1.
	RCALL	EEprom_write	
;---------------------------------------
;    "/"
;   .
;
	LDI	temp_1,0
	LDI	ZL,EE_Mode_Rele_T_M	; ADR5- EEPROM -  .
	RCALL	EEprom_write	
;-------
	RET
;
;*******************************************************************
;       
;  EEPROM
;
;
EE_compare_DS_paket:
;
	ldi	YL,ee_adres_DS_code
;
	ldi	temp_3,10		; 10 
;
e_comp_b1:
;
	mov	ZL,YL
;
	lds	temp_2,(dsrd+7)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+6)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+5)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+4)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+3)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+2)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+1)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
	inc	ZL
;
	lds	temp_2,(dsrd+0)
	rcall	EEprom_read
	cp	temp_1,temp_2
	brne	e_comp_b2
;
;         
;
	lds	temp_1,(flags)
	sbr	temp_1,0b0000.0001	; 0  -     
	sts	(flags),temp_1
;
	ret
;---------
e_comp_b2:
;
	ADIW	YL,8
	dec	temp_3
	brne	e_comp_b1
;
;       
;
	lds	temp_1,(flags)
	cbr	temp_1,0b0000.0001	;   0 .
	sts	(flags),temp_1
;
	ret
;========================================