;****************************************************************************
;
;	5_1_2018	18:15
;
;	INIT MCU	T45
;
; FUSE Bits
;
; Low: 11100010
;       CKSEL[3:0] Clock source selection
;       SUT[1:0] Startup time selection
;       CKOUT (0:Output system clock on the CLKO pin)
;       CKDIV8 Clock division ratio (1:1/1, 0:1/8)
;
; High:01011101
;       BODLEVEL[2:0] (111:Off, 110:1.8, 101:2.7, 100:4.3, 011:2.3, 010:2.2, 001:1.9, 000:2)
;       EESAVE (Retain EEPROM at chip erase 1:No, 0:Yes)
;       WDTON (1:WDT normal, 0:WDT always on)
;       SPIEN (1:Disable ISP, 0:Enable ISP) *Available only HVS mode
;       DWEN (On-Chip Debugging via RESET pin 1:Disable, 0:Enable)
;       RSTDISBL (RESET pin 1:Enable, 0:Disable(PORT))
;
; Ext: -------0
;              SPMEN (SPM instruction 1:Disable, 0:Enable)
;
; Cal: 63
;****************************************************************************
;
INIT_Chip_t45:
;
	ldi	temp,0B0001.1111	; PB1 - in (1 WIRE Dallas)
	out 	DDRB,temp
;
	ldi	temp,0B0000.0010	; 
	out	PORTB,temp
;
;========================================
;      
;     .
;
;;  	ldi	temp,63			; .. . .		
;;	out	OSCCAL,temp
;
;========================================
; MODE 26_01_2019	15:45
;------------
; Timer0 OC0A
;
	ldi	temp,0b0000.0010	
	out	TCCR0A,temp
;
	ldi	temp,0b1000.0011 	; 	
	out	TCCR0B,temp
;
	ldi	temp,0b0000.0000
	out	TCNT0,temp
;
 	ldi	temp,14			; 	
 	out	OCR0A,temp		;   (PB0 - OC0A)   
;
;========================================
; Timer1 OC1B
;
;;	ldi	temp,0B1000.0001 	; 7bit - (CTC1), CS13, CS12, CS11, CS10 = 0110 (OSC/32)
;;	OUT	TCCR1,temp
;
;;	ldi	temp,0B0001.1000	; Toggle the OC1B output, 	
;;	out	GTCCR,temp		; Bit 3 - FOC1B: Force Output Compare Match 1B
;
;;	ldi	temp,0B0000.0000	;	
;;	out	TCNT1,temp		;
;
;;	ldi	temp,32			; 	
;;	out	OCR1C,temp		;
;
;;	ldi	temp,0B0010.0000	; Bit 5 - OCIE1B: Timer/Counter1 Output Compare Interrupt Enable.	
;;	out	TIMSK,temp		;
;
;========================================
;  Comparator
;
;;	cbi	ACSR,ACD		; comparator enable
;
;========================================
;  ADC
;
	Cbi	ADCSRA,ADPS0		; (ADPS2=0,ADPS1=0,ADPS0=0) - 2    .
	Cbi	ADCSRA,ADPS1		;MODE (ADPS2=0,ADPS1=1,ADPS0=0) - 4    .
	sbi	ADCSRA,ADPS2		; (ADPS2=1,ADPS1=0,ADPS0=0) - 16   .
;--
	Cbi	ADMUX,REFS0		; (REFS2=0,REFS1=1,REFS0=0) - Internal 1.1V  Voltage Reference.
	Sbi	ADMUX,REFS1		; (REFS2=1,REFS1=1,REFS0=0) - Internal 2.56V Voltage Reference. 
	Sbi	ADMUX,REFS2		; (REFS2=x,REFS1=0,REFS0=0) - VCC used as Voltage Reference.
;
	Sbi	ADMUX,ADLAR		; (ADC9...ADC2) -  ADCH
;
;;	sbi	ADCSRA,ADEN		;  ADC
;
;========================================
;  Sleep
;
	ldi	temp,0b0111.0000	; Sleep enable, idle mode on Sleep,
	out	MCUCR,temp		; 6 bit Disable pull-ups Rezistor
;
;========================================
;   .
;
	ldi	temp,0b0101.1110	;    .
	out 	WDTCR,temp		;
;
;========================================
	LDI	temp,0B0000.0000	; .    Tmr1,Tmp0,USI,ADC.
	OUT	PRR,temp
;========================================
;
	RET
;
;***************************************************************************
; MODE  26_01_2019	14:30
;---------
INIT_Vars:
;
	ldi	temp,pulse_led_const
	sts	(led_count_repeat),temp
;
	clr	Flag_R
	clr	flag_RAM
	clr	temp
;
	sts	(count1),temp
	sts	(Rele_time),temp
;;	sts	(Count_temp),temp
	sts	(Count_Start_ADC),temp
;
	sts	(Count_Tik),temp
;-------
;
	LDI	temp,0B0000.1011
	sts	(Mode_Led_1_Blink),temp	;Y_LED; 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
	LDI	temp,0B0000.1001
	sts	(Mode_Led_2_Blink),temp	;G_LED; 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
	LDI	temp,0B0000.0111
	sts	(Mode_Led_3_Blink),temp	;R_LED; 0 - OFF, 1 - ON, 3 - Blink1, 7 - Blink2, 9 - Blink3, B - Blink4.
;-------
	ldi	temp,1
	sts	(Count_ADC_Pin),temp
	sts	(Count_Blink),temp
;-------
	ldi	temp,0B0000.0000
;
	STS	(Count_Rep_Rd_DS),temp
;-
	STS	(RLeds_Viev1),temp	;
	STS	(RLeds_Viev2),temp	;
	STS	(RLeds_Viev3),temp	;
;
	STS	(GLeds_Viev1),temp	;
	STS	(GLeds_Viev2),temp	;
	STS	(GLeds_Viev3),temp	;
;
	STS	(YLeds_Viev1),temp	;
	STS	(YLeds_Viev2),temp	;
	STS	(YLeds_Viev3),temp	;
;-
	STS	(Count_Period_Blinks),temp	;
	STS	(Count_Period_Blinks2),temp	;
;-
	STS	(Flag_In_wait),temp
	STS	(WaitIN_Time_Line1),temp
;--
	STS	(Wait_Time_Line1),temp
;;	STS	(Time_Alarm),temp
;
	RET
;===========================================================================
;