;****************************************************************************
;	LOGIC LED       ATtiny45
;
;	19_1_2018	21:10
; 
; 
; State_Progr		= 0x80	; 0B1000.0000 (0 -  ).
; State_Err_Kz		= 0x01	; 0B0000.0001 (1 -   ).
; State_Norma		= 0x02	; 0B0000.0010 (2 -    ).
; State_Armed		= 0x03	; 0B0000.0011 (3 -    ).
; State_Err_Obriv	= 0x04	; 0B0000.0100 (4 -   ).
;
;
;****************************************************************************
;
;
Logic_RGY_LED:
;-
	RCALL	Clear_Reg_Sub
;
	LDI	temp_4,0
	STS	(CMD_Code_JP),temp_4
;----------------------------------------
	LDS	temp,(Adc1_byte) 	;  ADC1.
	CPI	temp,State_Progr
	BRNE	No_On_JP1
	SBR	temp_4,0B0000.0001
No_On_JP1:
;
	RCALL	Logic_Lines
	STS	(GLeds_Viev1),temp_1
	STS	(YLeds_Viev1),temp_2
	OR	temp_11,temp_1
	oR	temp_22,temp_2
;----------------------------------------
	LDS	temp,(Adc2_byte) 	;  ADC2.
	CPI	temp,State_Progr
	BRNE	No_On_JP2
	SBR	temp_4,0B0000.0010
No_On_JP2:
;
	RCALL	Logic_Lines
	STS	(GLeds_Viev2),temp_1
	STS	(YLeds_Viev2),temp_2
	OR	temp_11,temp_1
	oR	temp_22,temp_2
;----------------------------------------
	LDS	temp,(Adc3_byte) 	;  ADC3.
	CPI	temp,State_Progr
	BRNE	No_On_JP3
	SBR	temp_4,0B0000.0100
No_On_JP3:
;
	RCALL	Logic_Lines
	STS	(GLeds_Viev3),temp_1
	STS	(YLeds_Viev3),temp_2
	OR	temp_11,temp_1
	oR	temp_22,temp_2
;-
	CPI	temp_4,0
	BRNE	RGY_LED_OFF
;
	RJMP	Loop_Blinks
;
;---------------------------------------
;
RGY_LED_OFF:
;
	STS	(CMD_Code_JP),temp_4
;
	RCALL	Clear_Reg_Sub
;
Loop_Blinks:
;
	sts	(Mode_Led_1_Blink),temp_22	;Y_LED; 0x00 - OFF, 0x01 - ON, 0x03 - Blink1.
	sts	(Mode_Led_2_Blink),temp_11	;G_LED; 0x00 - OFF, 0x01 - ON, 0x03 - Blink1.
;-
;	sts	(Mode_Led_3_Blink),temp_3	;R_LED; 0x00 - OFF, 0x01 - ON, 0x03 - Blink1.
;-
	RET
;----------------------------------------
Clear_Reg_Sub:
;
	LDI	temp_11,0
	LDI	temp_22,0
;
	LDI	temp_1,0
	LDI	temp_2,0
;	LDI	temp_3,0
;
	RET
;----------------------------------------
; Leds_Blinks
;
Logic_Lines:
;--
	CPI	temp,State_Armed
	BREQ	GBlink_1
;-
	CPI	temp,State_Norma
	BREQ	GBlink_2
;-
	CPI	temp,State_Err_Kz
	BREQ	YBlink_1
;-
	CPI	temp,State_Err_Obriv
	BREQ	YBlink_2
;-
	RET
;---------
GBlink_1:
	LDI	temp_1,0B0000.0001	;0x00 - OFF, 0x01 - ON, 0x03 - Blink1.
	LDI	temp_2,0B0000.0000	;
	RET
;--
GBlink_2:
	LDI	temp_1,0B0000.0011	;0x00 - OFF, 0x01 - ON, 0x03 - Blink1.
	LDI	temp_2,0B0000.0000	;	
	RET
;---------------------------------------
YBlink_1:
	LDI	temp_2,0B0000.1111	;0x00 - OFF, 0x01 - ON, 0x0F - Blink1.
	LDI	temp_1,0B0000.0011	; 	
	RET
;--
YBlink_2:
	LDI	temp_2,0B0000.1111	;0x00 - OFF, 0x01 - ON, 0x0F - Blink1.
	LDI	temp_1,0B0000.0011	; 	
	RET
;
;**************************************************************************
;